<?php
class PromocionesC_model extends CI_Model
{
    public function __construct(){
        parent::__construct();
    }
    public function Promociones()
    {
        $data['Franquicias']=$this->BuscarFranquicia();
                foreach ($data['Franquicias'] as $i => $Franquicias) 
        $data['Zona']=$this->BuscarZona();
                foreach ($data['Zona'] as $a => $Zona)        
        $this->db->select('*');
        $this->db->from('promociones');
        $this->db->join('tipopromocion','tipopromocion_IdTipoPromocion=IdTipoPromocion','inner');
        $this->db->join('categoria','categoria_IdCategoria=IdCategoria','inner');
        $this->db->where('Estatus' ,'ACTIVA');
        $this->db->where('franquicias_IdFranquicias' ,$i);  
        $this->db->or_where('franquicias_IdFranquicias', null);
        $this->db->where('Estatus' ,'ACTIVA');
        $this->db->where('Zona_IdZona',$a);
        $query=$this->db->get();
        $promociones=[];
        if ($query->num_rows() > 0) 
        { 
            foreach($query->result() as $row) 
            {

            $promociones[] = array(
                                        $row->FolioPromocion,
                                        $row->NombrePromocion,
                                        $row->NombreCategoria,
                                        $row->TipoPromocion,
                                        $row->Precio,
                                        $row->FechaInicioPromocion,
                                        $row->FechaTerminoPromocion,
                                        $row->Estatus,
                                        '<a href="'.base_url().'promociones/cosmetologo/PromocionesC/ver/'.$row->IdPromociones.'" class="label label-primary"><span class="glyphicon glyphicon-eye-open"></a>',
                                    );
            }
        }
        echo json_encode($promociones);
    }
    
    public function BuscarFranquicia()
    {// Realiza una consulta a la bd para buscar las franquicias que existen y poder mandar el resultado
        $this->db->select('*');
        $this->db->from('usuarios');
        $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
        $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
        $query=$this->db->get();
        if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
            $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
    }
 public function BuscarCategoria(){// Realiza una consulta a la bd para buscar las categorías que existen y poder mandar el resultado
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
//   public function BuscarZona(){// Realiza una consulta a la bd para buscar las zonas que existen y poder mandar el resultado
//      $query = $this->db-> query('SELECT IdZona,NombreZona FROM zona'); 
//        if ($query->num_rows() > 0) { 
//         foreach($query->result() as $row) 
//          $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
//             $query->free_result(); 
//             return $arrDatos; }
//          }
    public function BuscarZona(){// Realiza una consulta a la bd para buscar las franquicias que existen y poder mandar el resultado
     
        $data['Franquicias']=$this->PromocionesC_model->BuscarFranquicia();
            foreach ($data['Franquicias'] as $i => $Franquicias)
                $this->db->select('*');
                $this->db->from('franquicias');
                $this->db->join('zona','Zona_IdZona=IdZona','inner');
                $this->db->where('IdFranquicias',$i);
                $query=$this->db->get();
                  if ($query->num_rows() > 0) { 
                        foreach($query->result() as $row) 
                    $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
                    $query->free_result(); 
                    return $arrDatos; }
                }
    public function VerPromocion($id)
    {
        $this->db->select('*');
        $this->db->from('promociones');
        $this->db->join('tipopromocion','tipopromocion_IdTipoPromocion=IdTipoPromocion','inner');
        $this->db->join('categoria','categoria_IdCategoria=IdCategoria','inner');
        $this->db->where('IdPromociones' ,$id);  
        $query=$this->db->get();
        if ($query->num_rows() > 0) 
        { 
            return $query;
        }else
        {
            return false;
        }
    }
}